<?php
require_once('DataManager.Class.php');

class Comuna {
    
    public $conn;

    function __construct($c) {
        
        if(isset($c)){
                $this->conn = $c;
        } else {
                $this->conn = DataManager::getInstance();
        }
    }


	public function informacionComuna($idComuna, $estado, $tipo_retorno)
	{
		$stmt = $this->conn->prepare("{CALL agenda.SP_comuna_informacion (?, ?)}");
		$stmt->bindValue(1, $idComuna, PDO::PARAM_INT);
		$stmt->bindValue(2, $estado, PDO::PARAM_BOOL);
		$stmt->execute();

		if($tipo_retorno == 0) {
			return $stmt->fetch();
		} else {
			return $stmt->fetchAll();
		}

		
	}

	 
    function Close() {
        
        $this->conn = null;
        
    }
}
?>